Шаблон:Бегущая строка/styles.css

Материал из Space Station 14 Вики
.marquee {
  overflow: hidden;
  white-space: nowrap;
  width: 100%;
  height: 2em;
  line-height: 2em;
  position: relative;
}

.marquee span {
  position: absolute;
  left: 0;
  top: 0;
  white-space: nowrap;
  color: #eaeaea;
  opacity: 0;
  animation: scroll 12s linear infinite;
}

.marquee span:nth-child(1) { animation-delay: 0s; }
.marquee span:nth-child(2) { animation-delay: 12s; }
.marquee span:nth-child(3) { animation-delay: 24s; }
.marquee span:nth-child(4) { animation-delay: 36s; }
.marquee span:nth-child(5) { animation-delay: 48s; }

@keyframes scroll {
  0% {
    transform: translateX(100%);
    opacity: 1;
  }
  10% {
    transform: translateX(100%);
    opacity: 1;
  }
  80% {
    transform: translateX(-110%);
    opacity: 1;
  }
  85% {
    opacity: 0;
  }
  100% {
    transform: translateX(-110%);
    opacity: 0;
  }
}